[SRU] liberty point releases

Bug #1569502 reported by David Della Vecchia on 2016-04-12
14
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Ubuntu Cloud Archive
Undecided
Unassigned
Liberty
Undecided
Unassigned
cinder (Ubuntu)
Undecided
Unassigned
Wily
Undecided
Unassigned
neutron (Ubuntu)
Undecided
Unassigned
Wily
Undecided
Unassigned
neutron-fwaas (Ubuntu)
Undecided
Unassigned
Wily
Undecided
Unassigned
neutron-lbaas (Ubuntu)
Undecided
Unassigned
Wily
Undecided
Unassigned
nova (Ubuntu)
Undecided
Unassigned
Wily
Undecided
Unassigned

Bug Description

New point releases for misc openstack components for the liberty release:

neutron 7.0.4
neutron-fwaas 7.0.2
neutron-lbaas 7.0.4
nova 12.0.3
cinder 7.0.2

Changed in neutron (Ubuntu):
status: New → Invalid
Changed in neutron-fwaas (Ubuntu):
status: New → Invalid
description: updated
Changed in neutron-lbaas (Ubuntu):
status: New → Invalid
description: updated
Changed in nova (Ubuntu):
status: New → Invalid
description: updated
Changed in cinder (Ubuntu):
status: New → Invalid
description: updated
Brian Murray (brian-murray) wrote :

In the cinder upload pytz was added to the file 'cinder.egg-info/requires.txt', but debian/control was not updated with a dependency on python-tz. The version of cinder from Xenial does have a dependency on python-tz so it seems like if Wily is using python-tz then it too should depend on it.

Corey Bryant (corey.bryant) wrote :

Thanks for catching that Brian. If you can reject cinder we'll get that fixed up with a new upload.

Corey Bryant (corey.bryant) wrote :

Thanks Brian. I've uploaded a new version of cinder.

Tobias Urdin (tobias-urdin) wrote :

Why hasn't neutron 7.0.4 been processed and release in Ubuntu Cloud archive liberty release? It contain an important fix to retry ports that has failed binding in earlier tries.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in cinder (Ubuntu Wily):
status: New → Confirmed
Changed in neutron (Ubuntu Wily):
status: New → Confirmed
Changed in neutron-fwaas (Ubuntu Wily):
status: New → Confirmed
Changed in neutron-lbaas (Ubuntu Wily):
status: New → Confirmed
Changed in nova (Ubuntu Wily):
status: New → Confirmed
Tobias Urdin (tobias-urdin) wrote :

Running stable release from ubuntu cloud archive liberty. The version needs to be updated to upstream version 7.0.4 to incorporate fix https://review.openstack.org/#/c/281349/

ii neutron-common 2:7.0.3-0ubuntu1~cloud0 all Neutron is a virtual network service for Openstack - common
ii neutron-dhcp-agent 2:7.0.3-0ubuntu1~cloud0 all Neutron is a virtual network service for Openstack - DHCP agent
ii neutron-l3-agent 2:7.0.3-0ubuntu1~cloud0 all Neutron is a virtual network service for Openstack - l3 agent
ii neutron-metadata-agent 2:7.0.3-0ubuntu1~cloud0 all Neutron is a virtual network service for Openstack - metadata agent
rc neutron-metering-agent 2:7.0.0-0ubuntu1~cloud0 all Neutron is a virtual network service for Openstack - metering agent
ii neutron-plugin-ml2 2:7.0.3-0ubuntu1~cloud0 all Neutron is a virtual network service for Openstack - ML2 plugin
ii neutron-plugin-openvswitch-agent 2:7.0.3-0ubuntu1~cloud0 all Neutron is a virtual network service for Openstack - Open vSwitch plugin agent
rc neutron-plugin-vpn-agent 1:2014.2-0ubuntu1~cloud0 all transitional dummy package
ii python-neutron 2:7.0.3-0ubuntu1~cloud0 all Neutron is a virtual network service for Openstack - Python library
ii python-neutron-fwaas 1:7.0.0-0ubuntu1~cloud0 all Firewall-as-a-Service driver for OpenStack Neutron
rc python-neutron-lbaas 2:7.0.0-0ubuntu1~cloud0 all Loadbalancer-as-a-Service driver for OpenStack Neutron
rc python-neutron-vpnaas 2:7.0.0-0ubuntu1~cloud0 all VPN-as-a-Service driver for OpenStack Neutron
ii python-neutronclient 1:3.1.0-0ubuntu1~cloud0 all client API library for Neutron

Tobias Urdin (tobias-urdin) wrote :

Ubuntu 14.04.3 LTS

Corey Bryant (corey.bryant) wrote :

Hi Tobias,

This should be moving along soon. All of the point releases mentioned in this bug have been uploaded to the wily review queue (https://launchpad.net/ubuntu/wily/+queue?queue_state=1&queue_text=) and are awaiting SRU team review. Once they land in wily-proposed we'll begin backporting to liberty-proposed in the Ubuntu Cloud Archive, followed by at least 7 days of testing on wily/trusty before final promotion to the -updates pockets.

Thanks,
Corey

Tobias Urdin (tobias-urdin) wrote :

Hello Corey,

Thanks for the information, sounds great :)
Best regards

Hello David, or anyone else affected,

Accepted cinder into wily-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/cinder/2:7.0.2-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in cinder (Ubuntu Wily):
status: Confirmed → Fix Committed
tags: added: verification-needed
Changed in neutron (Ubuntu Wily):
status: Confirmed → Fix Committed
Chris J Arges (arges) wrote :

Hello David, or anyone else affected,

Accepted neutron into wily-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/neutron/2:7.0.4-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in neutron-fwaas (Ubuntu Wily):
status: Confirmed → Fix Committed
Chris J Arges (arges) wrote :

Hello David, or anyone else affected,

Accepted neutron-fwaas into wily-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/neutron-fwaas/1:7.0.2-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in neutron-lbaas (Ubuntu Wily):
status: Confirmed → Fix Committed
Chris J Arges (arges) wrote :

Hello David, or anyone else affected,

Accepted neutron-lbaas into wily-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/neutron-lbaas/2:7.0.4-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in nova (Ubuntu Wily):
status: Confirmed → Fix Committed
Chris J Arges (arges) wrote :

Hello David, or anyone else affected,

Accepted nova into wily-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/nova/2:12.0.3-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

James Page (james-page) wrote :

Hello David, or anyone else affected,

Accepted cinder into liberty-proposed. The package will build now and be available in the Ubuntu Cloud Archive in a few hours, and then in the -proposed repository.

Please help us by testing this new package. To enable the -proposed repository:

  sudo add-apt-repository cloud-archive:liberty-proposed
  sudo apt-get update

Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-liberty-needed to verification-liberty-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-liberty-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: added: verification-liberty-needed
James Page (james-page) wrote :

Hello David, or anyone else affected,

Accepted neutron into liberty-proposed. The package will build now and be available in the Ubuntu Cloud Archive in a few hours, and then in the -proposed repository.

Please help us by testing this new package. To enable the -proposed repository:

  sudo add-apt-repository cloud-archive:liberty-proposed
  sudo apt-get update

Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-liberty-needed to verification-liberty-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-liberty-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

James Page (james-page) wrote :

Hello David, or anyone else affected,

Accepted neutron-fwaas into liberty-proposed. The package will build now and be available in the Ubuntu Cloud Archive in a few hours, and then in the -proposed repository.

Please help us by testing this new package. To enable the -proposed repository:

  sudo add-apt-repository cloud-archive:liberty-proposed
  sudo apt-get update

Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-liberty-needed to verification-liberty-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-liberty-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

James Page (james-page) wrote :

Hello David, or anyone else affected,

Accepted neutron-lbaas into liberty-proposed. The package will build now and be available in the Ubuntu Cloud Archive in a few hours, and then in the -proposed repository.

Please help us by testing this new package. To enable the -proposed repository:

  sudo add-apt-repository cloud-archive:liberty-proposed
  sudo apt-get update

Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-liberty-needed to verification-liberty-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-liberty-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

James Page (james-page) wrote :

Hello David, or anyone else affected,

Accepted nova into liberty-proposed. The package will build now and be available in the Ubuntu Cloud Archive in a few hours, and then in the -proposed repository.

Please help us by testing this new package. To enable the -proposed repository:

  sudo add-apt-repository cloud-archive:liberty-proposed
  sudo apt-get update

Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-liberty-needed to verification-liberty-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-liberty-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

James Page (james-page) on 2016-05-09
Changed in cloud-archive:
status: New → Invalid
Corey Bryant (corey.bryant) wrote :

Hi Chris and James,

Testing of this SRU has completed successfully on wily-proposed and liberty-proposed.

Thanks,
Corey

tags: added: verification-done verification-liberty-done
removed: verification-liberty-needed verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package cinder - 2:7.0.2-0ubuntu1

---------------
cinder (2:7.0.2-0ubuntu1) wily; urgency=medium

  * New upstream point release for OpenStack Liberty (LP: #1569502).
    - d/control: Add python-tz to (Build-)Depends.

 -- David Della Vecchia <email address hidden> Wed, 20 Apr 2016 09:43:39 -0400

Changed in cinder (Ubuntu Wily):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for cinder has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package neutron - 2:7.0.4-0ubuntu1

---------------
neutron (2:7.0.4-0ubuntu1) wily; urgency=medium

  * New upstream point release for OpenStack Liberty (LP: #1569502).

 -- David Della Vecchia <email address hidden> Tue, 12 Apr 2016 14:17:33 -0400

Changed in neutron (Ubuntu Wily):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package neutron-fwaas - 1:7.0.2-0ubuntu1

---------------
neutron-fwaas (1:7.0.2-0ubuntu1) wily; urgency=medium

  * New upstream point release for OpenStack Liberty (LP: #1569502).

 -- David Della Vecchia <email address hidden> Wed, 13 Apr 2016 11:14:55 -0400

Changed in neutron-fwaas (Ubuntu Wily):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package neutron-lbaas - 2:7.0.4-0ubuntu1

---------------
neutron-lbaas (2:7.0.4-0ubuntu1) wily; urgency=medium

  * New upstream point release for OpenStack Liberty (LP: #1569502).

 -- David Della Vecchia <email address hidden> Wed, 13 Apr 2016 11:35:53 -0400

Changed in neutron-lbaas (Ubuntu Wily):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nova - 2:12.0.3-0ubuntu1

---------------
nova (2:12.0.3-0ubuntu1) wily; urgency=medium

  * New upstream point release for OpenStack Liberty (LP: #1569502).

 -- David Della Vecchia <email address hidden> Tue, 19 Apr 2016 11:37:40 -0400

Changed in nova (Ubuntu Wily):
status: Fix Committed → Fix Released
James Page (james-page) wrote :

The verification of the Stable Release Update for cinder has completed successfully and the package has now been released to -updates. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

James Page (james-page) wrote :

This bug was fixed in the package cinder - 2:7.0.2-0ubuntu1~cloud0
---------------

 cinder (2:7.0.2-0ubuntu1~cloud0) trusty-liberty; urgency=medium
 .
   * New upstream release for the Ubuntu Cloud Archive.
 .
 cinder (2:7.0.2-0ubuntu1) wily; urgency=medium
 .
   * New upstream point release for OpenStack Liberty (LP: #1569502).
     - d/control: Add python-tz to (Build-)Depends.

James Page (james-page) wrote :

The verification of the Stable Release Update for neutron has completed successfully and the package has now been released to -updates. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

James Page (james-page) wrote :

This bug was fixed in the package neutron - 2:7.0.4-0ubuntu1~cloud0
---------------

 neutron (2:7.0.4-0ubuntu1~cloud0) trusty-liberty; urgency=medium
 .
   * New upstream release for the Ubuntu Cloud Archive.
 .
 neutron (2:7.0.4-0ubuntu1) wily; urgency=medium
 .
   * New upstream point release for OpenStack Liberty (LP: #1569502).

James Page (james-page) wrote :

The verification of the Stable Release Update for neutron-fwaas has completed successfully and the package has now been released to -updates. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

James Page (james-page) wrote :

This bug was fixed in the package neutron-fwaas - 1:7.0.2-0ubuntu1~cloud0
---------------

 neutron-fwaas (1:7.0.2-0ubuntu1~cloud0) trusty-liberty; urgency=medium
 .
   * New upstream release for the Ubuntu Cloud Archive.
 .
 neutron-fwaas (1:7.0.2-0ubuntu1) wily; urgency=medium
 .
   * New upstream point release for OpenStack Liberty (LP: #1569502).

James Page (james-page) wrote :

The verification of the Stable Release Update for neutron-lbaas has completed successfully and the package has now been released to -updates. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

James Page (james-page) wrote :

This bug was fixed in the package neutron-lbaas - 2:7.0.4-0ubuntu1~cloud0
---------------

 neutron-lbaas (2:7.0.4-0ubuntu1~cloud0) trusty-liberty; urgency=medium
 .
   * New upstream release for the Ubuntu Cloud Archive.
 .
 neutron-lbaas (2:7.0.4-0ubuntu1) wily; urgency=medium
 .
   * New upstream point release for OpenStack Liberty (LP: #1569502).

James Page (james-page) wrote :

The verification of the Stable Release Update for nova has completed successfully and the package has now been released to -updates. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

James Page (james-page) wrote :

This bug was fixed in the package nova - 2:12.0.3-0ubuntu1~cloud0
---------------

 nova (2:12.0.3-0ubuntu1~cloud0) trusty-liberty; urgency=medium
 .
   * New upstream release for the Ubuntu Cloud Archive.
 .
 nova (2:12.0.3-0ubuntu1) wily; urgency=medium
 .
   * New upstream point release for OpenStack Liberty (LP: #1569502).

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers